'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var react = require('react');
var PropTypes = _interopDefault(require('prop-types'));

var classCallCheck = function (instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};

var createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);
    if (staticProps) defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();

var inherits = function (subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
  }

  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      enumerable: false,
      writable: true,
      configurable: true
    }
  });
  if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
};

var possibleConstructorReturn = function (self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return call && (typeof call === "object" || typeof call === "function") ? call : self;
};

var IgnoreRerender = function (_Component) {
  inherits(IgnoreRerender, _Component);

  function IgnoreRerender() {
    var _ref;

    var _temp, _this, _ret;

    classCallCheck(this, IgnoreRerender);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = possibleConstructorReturn(this, (_ref = IgnoreRerender.__proto__ || Object.getPrototypeOf(IgnoreRerender)).call.apply(_ref, [this].concat(args))), _this), _this.render = function () {
      return _this.props.children;
    }, _temp), possibleConstructorReturn(_this, _ret);
  }

  createClass(IgnoreRerender, [{
    key: 'shouldComponentUpdate',
    value: function shouldComponentUpdate(np) {
      var whiteList = this.props.whiteList;

      var shouldComponentUpdate = false;
      Object.keys(whiteList).forEach(function (includeItem) {
        if (whiteList[includeItem] !== np.whiteList[includeItem]) {
          shouldComponentUpdate = true;
        }
      });
      return shouldComponentUpdate;
    }
  }]);
  return IgnoreRerender;
}(react.Component);

IgnoreRerender.propTypes = {
  whiteList: PropTypes.object,
  children: PropTypes.element.isRequired
};

IgnoreRerender.defaultProps = {
  whiteList: {}
};

module.exports = IgnoreRerender;
//# sourceMappingURL=index.js.map
